%define wtver 212
Summary:   WineTools is a menu driven installer for installing Windows programs under Linux.
Name:      winetools
Version:   2.1.2
Release:   jo
Copyright: GPL
Url:       http://www.von-thadden.de/Joachim/WineTools/

Packager:  Joachim von Thadden <thadden@web.de>
Group:     Applications/Emulator
Source:    %{name}-%{wtver}jo.tar.gz
BuildRoot: /tmp/%{name}-%{version}-rpmbuild/
Requires:  gettext, wget, wine

%description
WineTools is a menu driven installer for installing about 90 Windows programs under the x86 (Athlon or Intel PC)
processor architecture with the Linux operating system using Wine. This software lets you install the following
Windows software:

    * DCOM98
    * IE6
    * Windows Core Fonts
    * Windows System Software
    * Office & Office Viewer
    * Adobe Photoshop 7, Illustrator 9
    * many other programs

It also sets up your .wine directory in the correct way, downloads the files to install from the web (only the
free and shareware ones for sure), installs Windows fonts and lets you uninstall and configure your software.
And it does much more than Sidenet, although it uses a part of the configuration for IE6 (thanks for that!).

WineTools was initially written by Frank Hendriksen and was extended by me (Joachim von Thadden). It
is licensed under the GPL.
%prep
%setup -q -n %{name}-%{wtver}jo
%build
%install
mkdir -p $RPM_BUILD_ROOT/usr/local/{winetools,bin}
cp -a $RPM_BUILD_DIR/%{name}-%{wtver}jo/* $RPM_BUILD_ROOT/usr/local/winetools
mv $RPM_BUILD_ROOT/usr/local/winetools/Xdialog $RPM_BUILD_ROOT/usr/local/winetools/Xdialog.builtin
ln -sf /usr/local/winetools/wt%{wtver}jo $RPM_BUILD_ROOT/usr/local/bin/wt2
ln -sf /usr/local/winetools/wt%{wtver}jo $RPM_BUILD_ROOT/usr/local/bin/winetools
ln -sf /usr/local/winetools/findwine $RPM_BUILD_ROOT/usr/local/bin/findwine
cd $RPM_BUILD_ROOT/usr/local/winetools/po
for i in $( ls  *.po|cut -f1 -d.); do
	mkdir -p $RPM_BUILD_ROOT/usr/local/share/locale/$i/LC_MESSAGES
	msgfmt $i.po -o $RPM_BUILD_ROOT/usr/local/share/locale/$i/LC_MESSAGES/wt2.mo
        echo "Installed translations for $i to $RPM_BUILD_ROOT/usr/local/share/locale/$i/LC_MESSAGES/wt2.mo"
done

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}-%{wtver}jo

%post
DIALOG="`which Xdialog`"
if [ "$?" = "0" ]; then
  ln -s $DIALOG /usr/local/winetools/Xdialog || echo "Could not link Xdialog to the WineTools directory. You have to do that manually for WineTools to work."
else
  ln -s /usr/local/winetools/Xdialog.builtin /usr/local/winetools/Xdialog || echo "Could not link Xdialog to the WineTools directory. You have to do that manually for WineTools to work."
fi

%preun
rm /usr/local/winetools/Xdialog

%files
%doc INSTALL.txt LICENSE.txt doc/*
/usr/local/winetools
/usr/local/share/locale
/usr/local/bin
